$schema: "http://json-schema.org/draft-06/schema#"

title: compute beta TargetHttpsProxy export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  authentication:
    description: '[Deprecated] Use serverTlsPolicy instead.'
    type: string
  authorization:
    description: '[Deprecated] Use authorizationPolicy instead.'
    type: string
  authorizationPolicy:
    description: |-
      A URL referring to a networksecurity.AuthorizationPolicy resource that
      describes how the proxy should authorize inbound traffic. If left blank,
      access will not be restricted by an authorization policy. Refer to the
      AuthorizationPolicy resource for additional details. authorizationPolicy
      only applies to a global TargetHttpsProxy attached to
      globalForwardingRules with the loadBalancingScheme set to
      INTERNAL_SELF_MANAGED.
    type: string
  certificateMap:
    description: |-
      URL of a certificate map that identifies a certificate map associated with
      the given target proxy. This field can only be set for global target
      proxies. If set, sslCertificates will be ignored.
    type: string
  creationTimestamp:
    description: '[Output Only] Creation timestamp in RFC3339 text format.'
    type: string
  description:
    description: |-
      An optional description of this resource. Provide this property when you
      create the resource.
    type: string
  httpFilters:
    description: |-
      URLs to networkservices.HttpFilter resources enabled for xDS clients using
      this configuration. For example,
      https://networkservices.googleapis.com/beta/projects/project/locations/location/httpFilters/httpFilter
      Only filters that handle outbound connection and stream events may be
      specified. These filters work in conjunction with a default set of HTTP
      filters that may already be configured by Traffic Director. Traffic
      Director will determine the final location of these filters within xDS
      configuration based on the name of the HTTP filter. If Traffic Director
      positions multiple filters at the same location, those filters will be in
      the same order as specified in this list. httpFilters only applies for
      loadbalancers with loadBalancingScheme set to INTERNAL_SELF_MANAGED. See
      ForwardingRule for more details.
    type: array
    items:
      type: string
  kind:
    description: |-
      [Output Only] Type of resource. Always compute#targetHttpsProxy for target
      HTTPS proxies.
    type: string
  name:
    description: |-
      Name of the resource. Provided by the client when the resource is created.
      The name must be 1-63 characters long, and comply with RFC1035.
      Specifically, the name must be 1-63 characters long and match the regular
      expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character
      must be a lowercase letter, and all following characters must be a dash,
      lowercase letter, or digit, except the last character, which cannot be a
      dash.
    type: string
  proxyBind:
    description: |-
      This field only applies when the loadBalancingScheme is
      INTERNAL_SELF_MANAGED. When set to true the Envoy binds on the IP address
      specified by the forwarding rule. Default is false.
    type: boolean
  quicOverride:
    description: |-
      Specifies the QUIC override policy for this TargetHttpsProxy resource.
      This setting determines whether the load balancer attempts to negotiate
      QUIC with clients. You can specify NONE, ENABLE, or DISABLE. - When quic-
      override is set to NONE, Google manages whether QUIC is used.  - When
      quic-override is set to ENABLE, the load balancer uses QUIC when possible.
      - When quic-override is set to DISABLE, the load balancer doesn't use
      QUIC.  - If the quic-override flag is not specified, NONE is implied. -
    type: string
    enum:
    - DISABLE
    - ENABLE
    - NONE
  region:
    description: |-
      [Output Only] URL of the region where the regional TargetHttpsProxy
      resides. This field is not applicable to global TargetHttpsProxies.
    type: string
  selfLink:
    description: '[Output Only] Server-defined URL for the resource.'
    type: string
  serverTlsPolicy:
    description: |-
      A URL referring to a networksecurity.ServerTlsPolicy resource that
      describes how the proxy should authenticate inbound traffic.
      serverTlsPolicy only applies to a global TargetHttpsProxy attached to
      globalForwardingRules with the loadBalancingScheme set to
      INTERNAL_SELF_MANAGED. If left blank, communications are not encrypted.
    type: string
  sslCertificates:
    description: |-
      URLs to SslCertificate resources that are used to authenticate connections
      between users and the load balancer. At least one SSL certificate must be
      specified. Currently, you may specify up to 15 SSL certificates.
    type: array
    items:
      type: string
  sslPolicy:
    description: |-
      URL of SslPolicy resource that will be associated with the
      TargetHttpsProxy resource. If not set, the TargetHttpsProxy resource
      has no SSL policy configured.
    type: string
  urlMap:
    description: |-
      A fully-qualified or valid partial URL to the UrlMap resource that
      defines the mapping from URL to the BackendService. For example, the
      following are all valid URLs for specifying a URL map:   -
      https://www.googleapis.compute/v1/projects/project/global/urlMaps/url-
      map  - projects/project/global/urlMaps/url-map  - global/urlMaps/url-
      map
    type: string
